Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618765 - killing process gives CPG_REASON_LEAVE instead of CPG_REASON_PROCDOWN
killing process gives CPG_REASON_LEAVE instead of CPG_REASON_PROCDOWN
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.5
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On: 599654
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 13:04 EDT by Benjamin Kahn
Modified: 2016-04-26 10:02 EDT (History)
8 users (show)

See Also:
Fixed In Version: openais-0.80.6-16.el5_4.9
Doc Type: Bug Fix
Doc Text:
Previously, CPG API returned the wrong results when a cluster component failed that was using openais. With this update, the correct results are returned.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 14:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0600 normal SHIPPED_LIVE openais bug fix update 2010-08-04 14:05:39 EDT

  None (edit)
Description Benjamin Kahn 2010-07-27 13:04:36 EDT
This bug has been copied from bug #599654 and has been proposed
to be backported to 5.4 z-stream (EUS).
Comment 4 Jaroslav Kortus 2010-08-03 11:38:25 EDT
Killing daemons with -9 now correctly appears on other nodes as PROCDOWN and results in killing/fencing the node.

Aug  3 10:36:52 z4 groupd[7342]: kill node 2 - groupd PROCDOWN
Comment 5 errata-xmlrpc 2010-08-04 14:05:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0600.html
Comment 6 Martin Prpič 2010-08-05 05:12:02 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, CPG API returned the wrong results when a cluster component failed that was using openais. With this update, the correct results are returned.

Note You need to log in before you can comment on or make changes to this bug.